fop 1.1

## org.apache.fop.render.intermediate
Interface IFDocumentHandlerConfigurator

All Known Implementing Classes:
  AFPRendererConfigurator, BitmapRendererConfigurator, Java2DRendererConfigurator, PCLRendererConfigurator, PDFRendererConfigurator, PrintRendererConfigurator, PSRendererConfigurator, TIFFRendererConfigurator, TXTRendererConfigurator

    public interface IFDocumentHandlerConfigurator

This interface is implemented by classes that configure an `IFDocumentHandler` instance.

Method Summary
`void` `configure(IFDocumentHandler documentHandler)` Configures a intermediate format document handler.
`void` `setupFontInfo(IFDocumentHandler documentHandler, FontInfo fontInfo)` Sets up the `FontInfo` object for the IFDocumentHandler.

Method Detail

### configure

    void configure(IFDocumentHandler documentHandler)
                   throws FOPException

  Configures a intermediate format document handler.

  Parameters:
    `documentHandler` - the document handler instance
  Throws:
    `FOPException` - if an error occurs while configuring the object

### setupFontInfo

    void setupFontInfo(IFDocumentHandler documentHandler,
                       FontInfo fontInfo)
                       throws FOPException

  Sets up the `FontInfo` object for the IFDocumentHandler.

  Parameters:
    `documentHandler` - the document handler instance
    `fontInfo` - the font info object to set up
  Throws:
    `FOPException` - if an error occurs while configuring the object

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.